var simp = {
	//jQuery if not
	$: (typeof window.jQuery !== 'undefined') ? window.jQuery : {},
	//Global params
	params: {
		multiple: false,
		progress: true,
		inputName: []
	},
	url: '',
	//
	upload: function()
	{
		
	},
	//Default callbacks
	uploadCallback: function()
	{
		
	},
	errorUploadCallback: function()
	{
		
	},
	//Magic
	magicStart: function(successCallback, errorCallback)
	{
		successCallback = (typeof successCallback === 'function') ? successCallback : function(){};
		errorCallback = (typeof errorCallback === 'function') ? errorCallback : function(){};
		var formData = new FormData();
		formData.append('img', $('input[type="file"]')[0].files[0], 'img.jpg');
		$.ajax({
			type: "POST",
			url: this.url,
			success: function(e)
			{
				simp.uploadCallback(e);
				successCallback(e);
			},
			xhr: function () {
				var myXhr = $.ajaxSettings.xhr();
				if (myXhr.upload) {
					myXhr.upload.addEventListener('progress', function(e){
						if(e.lengthComputable)
						{
							var percentComplete = e.loaded / e.total;
							percentComplete = parseInt(percentComplete * 100);
							$('#proc').html(percentComplete);
						}
					}, false);
				}
				return myXhr;
			},
			error: function (error) {
				simp.errorUploadCallback();
				errorCallback();
			},
			async: true,
			data: formData,
			cache: false,
			contentType: false,
			processData: false,
		});
	},
	//init
	ready: function()
	{
		simp.magicStart();
	},
	init: function(url, options)
	{
		//input = (typeof input === 'object' || typeof input === 'string') ? input : [];
		url = (typeof url === 'string') ? url : '';
		options = (typeof options === 'object') ? options : '';
		if(options !== '')	for(var i in options) this.params[i] = options[i];
		this.url = url;
		this.loadRes();
	},
	//loading jQuery func
	loadRes: function()
	{
		if(!window.jQuery)
		{
			var script = document.createElement("SCRIPT");
			script.src = 'https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js';
			script.type = 'text/javascript';
			script.onload = function() {
				simp.ready(window.jQuery);
			};
			document.getElementsByTagName("head")[0].appendChild(script);
		}
	}
};